/********************************************************************/
/* Copyright (c) 2019 System fugen G.K. and Yuzi Mizuno          */
/* All rights reserved.                                             */
/********************************************************************/
/********************************************************************/
#if !defined(AFX_PICKDLG_H__9ADD57D2_4C81_4938_9630_B3EA57BF23DD__INCLUDED_)
#define AFX_PICKDLG_H__9ADD57D2_4C81_4938_9630_B3EA57BF23DD__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

#include "resource.h"
#include "mg/PickObject.h"
#include "fugenView.h"

/////////////////////////////////////////////////////////////////////////////
// CPickDlg ダイアログ
///ピックオブジェクトの単一選択ダイアログ
class CPickDlg : public CDialog{
// コンストラクション
public:
	///コンストラクタ
	CPickDlg(fugenView* pView, const MGPickObjects& tmp);

/// ダイアログ データ
	//{{AFX_DATA(CPickDlg)
	///ピックオブジェクトの単一選択ダイアログID
	enum { IDD = IDD_POBJ_DLG };
	///ピックされたオブジェクトのリスト
	CListBox	m_lsbox;
	//}}AFX_DATA

public:
	const MGPickObject& GetResult() const{ return m_result;}


// オーバーライド
	// ClassWizard は仮想関数のオーバーライドを生成します。
	//{{AFX_VIRTUAL(CPickDlg)
protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV サポート
	//}}AFX_VIRTUAL

	virtual void OnCancel();
	virtual void OnOK();

// インプリメンテーション
protected:

	// 生成されたメッセージ マップ関数
	//{{AFX_MSG(CPickDlg)
	virtual BOOL OnInitDialog();
	afx_msg void OnDblclkPobjList();
	afx_msg void OnSelchangePobjList();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()

private:
	fugenDoc* GetDocument(){	return m_pView->GetDocument();};

private:
	MGPickObjects  m_saved;
	MGPickObjects  m_candidate;
	MGPickObject   m_result;
	fugenView* m_pView;
};

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ は前行の直前に追加の宣言を挿入します。

#endif // !defined(AFX_PICKDLG_H__9ADD57D2_4C81_4938_9630_B3EA57BF23DD__INCLUDED_)
